Bug 110745 - [GEN9+] 3-7% perf drop in SynMark2 v7 CSDof
Summary: [GEN9+] 3-7% perf drop in SynMark2 v7 CSDof
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-23 16:17 UTC by Eero Tamminen
Modified: 2019-09-25 20:33 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eero Tamminen 2019-05-23 16:17:44 UTC
Mesa performance in SynMark2 v7 CSDof test dropped 3-7% on all our GEN9 devices.  

Setup:
- Ubuntu 18.04
- Unity / compiz desktop
- Mesa from git
- X server and drm-tip kernel from git within last 1-2 months, with modifier support enabled
- FullHD monitor

Test-case:
- synmark2 OglCSDof
  (configured to run in fullscreen FullHD resolution.)

Regression happened between following commits:
* 2019-05-14 16:23:12 e81392868e: iris/resource: Drop redundant checks for aux support
* 2019-05-15 04:34:49 a9cef4f0e5: gallium: Add default check for PIPE_CAP_FRAGMENT_SHADER_INTERLOCK

Notes:
* There are a lot of compiler changes between these dates
* Only CSDof test performance changed, and only on GEN9 devices (not on GEN7-8 ones)
Comment 1 GitLab Migration User 2019-09-25 20:33:29 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/1814.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.